# synfig::RWLock Class Reference

`#include <mutex.h>`

List of all members.

## Public Member Functions

| RWLock ()
| ~RWLock ()
void | reader_lock ()
void | reader_unlock ()
bool | reader_trylock ()
void | writer_lock ()
void | writer_unlock ()
bool | writer_trylock ()

## Classes

class | ReaderLock
class | WriterLock

## Constructor & Destructor Documentation

synfig::RWLock::RWLock | ( |  | ) |

synfig::RWLock::~RWLock | ( |  | ) |

## Member Function Documentation

void synfig::RWLock::reader_lock | ( |  | ) |

Referenced by synfig::RWLock::ReaderLock::ReaderLock().

void synfig::RWLock::reader_unlock | ( |  | ) |

Referenced by synfig::RWLock::ReaderLock::~ReaderLock().

bool synfig::RWLock::reader_trylock | ( |  | ) |

void synfig::RWLock::writer_lock | ( |  | ) |

Referenced by synfig::RWLock::WriterLock::WriterLock().

void synfig::RWLock::writer_unlock | ( |  | ) |

Referenced by synfig::RWLock::WriterLock::~WriterLock().

bool synfig::RWLock::writer_trylock | ( |  | ) |

The documentation for this class was generated from the following file:

- mutex.h